/********************/
/* CUSTOM STYLE CSS */
/********************/
/*
Place your custom CSS and CSS overrides in this file after renaming it to
custom-style.css or another name, and configure the filename and path in
the theme's settings page.

Steps for customizing your theme:
1. Incorporate your custom CSS into this file.
2. Uncomment various examples below and adjust the data to your preferences.
3. Clear cached data at /admin/config/development/performance or use
   "Flush all caches" in the Admin Menu, then press CTRL+F5.
*/


/* Erase or comment the lines below to get rid of the image in the right
   sidebar and the brand image at the bottom */
#brand {
  background: url(../images/logo/grey/abc.png) 50% 0 no-repeat;
  background-size: 48px 32px;
  margin: 0 auto 1em;
  height: 50px;
}


/******* THEMER STYLE *******/
/* Put here your custom CSS */
/****************************/
/* Set one or more elements on the ABC settings page (/admin/appearance/settings/abc)
   to "None (custom)" and uncomment and modify the corresponding lines below: */

/*### static background ###*/
/*
.bi0.bgs #bg1 { background: transparent url(t1-.png) 0 0 repeat-x; }
.bimg.bi0.bgs #bg2 { background: transparent url(top-.png) 50% 0 no-repeat; }
*/

/*### fixed background ###*/
/*
.bi0.bgf #bg1 { background: transparent url(t1-.png) 0 0 repeat-x fixed; }
.bimg.bi0.bgf #bg2 { background: transparent url(top-.png) 50% 0 no-repeat fixed; }
*/

/*### Background bottom ###*/
/*
.bi0.bgs, .bi0.bgf { background: transparent url(t2-.png) 0 100% repeat-x; }
*/

/*### Site name & Node title colors ###*/
/*
.sn0 #name-and-slogan a { color: red; }
.nt0 .page-title, .nt0 h2 a span { color: green; }
*/

/*### Block title colors ###*/
/*
.bt0 .block-title { color: blue; }
*/

/*### Top menu items rollover color ###*/
/*
.tr0 .region-toplinks li a:hover, .tr0 .region-toplinks li a.active { color: red !important; background: transparent url(b-.png) 50% 100% no-repeat; }
*/

/*### First & last menu item colors ###*/
/*
.fb0 .first .primary-nav__menu-link--level-1 { background: red; }
.lb0 .last .primary-nav__menu-link--level-1 { background: magenta; }
*/

/*### Menu item color & rollover color ###*/
/*
.mb0 .pure-menu-link { background: green; color: white; }
.mr0 .pure-menu-link:hover, .mr0 .pure-menu-link:focus { background: orange; color: black; }
*/

/*
@media screen and (max-width: 48em) {
  .pure-menu-list {
    background: #fff;
  }
  .pure-menu-link {
    color: #000 !important;
    border-top: 1px solid #eee !important;
  }
  .pure-menu-link:hover, .pure-menu-link:focus {
    background: #e6e6e6 !important;
  }
}
*/


/**************/
/* TYPOGRAPHY */
/**************/
/*
html {
  line-height: 1.25;
}
p:first-of-type:first-letter {
  font-size: 200%;
}*/


/************************/
/* CHANGE LOGO POSITION */
/************************/
/*
.logoimg {
  padding: .5em 1em;
}*/


/**********************************/
/* CHANGES MENU TOGGLE BARS COLOR */
/**********************************/
/*
.menu-toggle { background: #ffd; }
.menu-toggle .bars { background: #900; }
*/


/*************************/
/* DROP DOWN ADJUSTMENTS */
/*************************/

/* no dropdown shadows */
/*
.pure-menu-children .pure-menu-link {
  box-shadow: none;
}*/


/******************************/
/* HIDE some TITLES, READMORE */
/******************************/
/* Uncomment the first declaration below to hide all titles on the front page
   Addapt the second declaration to hide a node type titles on the frontpage.
   Third one is for no "Read more" on the front page. */
/*
.front #main h2 .field--name-title { display: none; }
.front #main .node--type-article h2 .field--name-title { display: none; }
.front .node-readmore { display: none; }
*/


/**********************/
/* ROUND USER PICTURE */
/**********************/
/*
.field--name-user-picture img {
  border-radius: 100% !important;
}*/


/**********************************/
/* IMAGE POSITION for ALL CONTENT */
/**********************************/
.field-item .pure-img,
.colorbox .pure-img {
  float: left; /* LTR */
  margin: 0 1em 1em 0; /* LTR */
}
[dir="rtl"] .field-item .pure-img,
[dir="rtl"] .colorbox .pure-img {
  float: right;
  margin: 0 0 1em 1em;
}


/***********************************/
/* IMAGE POSITION per CONTENT TYPE */
/***********************************/
/*
.node-book .field-item .pure-img,
.node-book .colorbox .pure-img {
  float: right;
  margin: .6em 0 .6em .6em;
}
.node-blog_post .field-item .pure-img,
.node-blog_post .colorbox .pure-img {
  float: right;
  margin: .6em 0 .6em .6em;
}*/


/*************************/
/* CENTERED BLOCK IMAGES */
/*************************/
.block img:not(.region-content img,
.region-header img) {
  margin: 0 auto;
}


/*************/
/* SLIDESHOW */
/*************/
/* Centered text */
/*
.txww {
  text-align: center;
}*/
/* min height on mobiles */
#slider img {
  min-height: 10em;
}
/* Images animation */
/*
#slider img {
  animation-name: zoom;
  animation-duration: 30s;
  animation-iteration-count: infinite;
}
@keyframes zoom {
  0% {transform: scale(1)}
  50% {transform: scale(1.15)}
  100% {transform: scale(1)}
}*/


/********************************/
/* BORDER FOR NON-THEMED BLOCKS */
/********************************/
/*
#sidebar-left .block, #sidebar-right .block {
  border: 1px solid #ddd;
}*/


/*******************************************************/
/* THEMED BLOCKS and REGION CONTENT BACKGROUND COLOURS */
/*******************************************************/
/*
.themed-block .content {
  border: 1px solid #ddd;
  background-color: #f8fff0;
}
#main .region-content, #mission {
  border: 1px solid #ddd;
  background-color: #f8fff0;
}*/


/****************************************/
/* USER BLOCKS EQUAL VERTICAL ALIGNMENT */
/****************************************/
/*
@media screen and (min-width: 48em) {
  #section1 .block {
    min-height: 250px;
  }
}*/


/****************/
/* LINKS COLOR  */
/* #c09; pink   */
/* #390; green  */
/* #f60; orange */
/* #069; blue   */
/* #444; grey   */
/****************/
/*
.region-content .field--name-fid a,
.region-content .field--name-body a,
.region-content .item-description a {
  color: #c09;
}*/


/***************************/
/* INLINE LINKS & ADDTOANY */
/***************************/
/*
.addtoany_list, .node__links {
  display: inline-block;
}*/


/************************/
/* OTHER SOCIAL NETWORK */
/************************/
/*
#soclinks .myother {
    background: transparent url(myother-social-network_32.png) no-repeat center center;
}*/


/*****************************************************/
/* Bad alignment of Author and Date line in Drupal 8 */
/*****************************************************/
/*
.node__submitted, p.comment__submitted {
  display: flex;
}
.node__submitted .field, p.comment__submitted .field, p.comment__submitted a {
  margin: 0 .3em;
}*/


/************************************************/
/* Alternate node backgrounds on homepage/views */
/************************************************/
/*
.region-content .node--view-mode-teaser {
  padding: .5em;
}
.region-content li:nth-child(2n+2) .node--view-mode-teaser,
.region-content .views-row:nth-child(2n+1) .node--view-mode-teaser {
  background: #eee;
  padding: .5em;
}*/


/************************/
/* EU COOKIE COMPLIANCE */
/************************/
/* diffrent style of popup*/
/*
div#sliding-popup, div#sliding-popup .eu-cookie-withdraw-banner, .eu-cookie-withdraw-tab {
	background: linear-gradient(to right, transparent, 10%, #000, 90%, transparent);
}
.popup-content {
  max-width: 45em;
  padding: 0 .5em;
  text-align: center;
}
*/
/* agree button */
.agree-button.eu-cookie-compliance-secondary-button {
  cursor: pointer;
  margin: 1em 0 0 1em;
  vertical-align: middle;
  overflow: visible;
  width: auto;
  -moz-box-shadow: inset 0 1px 0 0 #ffffff;
  -webkit-box-shadow: inset 0 1px 0 0 #ffffff;
  box-shadow: inset 0 1px 0 0 #ffffff;
  background-color: #ededed;
  background-image: -moz-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(5%, #ededed), color-stop(100%, #dfdfdf));
  background-image: -webkit-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
  background-image: -o-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
  background-image: -ms-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
  background-image: linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
  -moz-border-radius: 6px;
  -webkit-border-radius: 6px;
  border-radius: 6px;
  border: 1px solid #dcdcdc;
  color: #000;
  font-family: Arial, sans-serif;
  font-weight: bold;
  padding: 4px 8px;
  text-decoration: none;
  text-shadow: 1px 1px 0 #ffffff;
}


/*** MEDIA SCREENS (35.5, 48 & 64em) ***/

@media screen and (max-width: 64em) {
/* BACKGROUND IMAGE */
/* Comment or erase the lines below to have background image. */
  #bg1,
  #bg2,
  .bgs,
  .bgf {
    background: none !important;
  }
/* HEADER IMAGE */
/* You can put a static image like "mobi-dot.png" or "mobi-sq.png",
   use your own, or simply none. */
  /*
  #header {
    background: #fff url(../images/mobi-dot.png) repeat;
  }*/
}


/*************************************/
/* Sidebars' blocks adaptive display */
/*************************************/
@media screen and (max-width: 64em) {
  #sidebar-left .block-wrapper,
  #sidebar-right .block-wrapper {
    width: 47.5%;
    margin: 0 2% 0 0;
    display: inline-block;
    vertical-align: top;
  }
}
@media screen and (max-width: 48em) {
  #sidebar-left .block-wrapper,
  #sidebar-right .block-wrapper {
    width: 100%;
    margin: 0;
    display: block;
  }
}

/*-Мои доработки и улучшения-*/
/*- Уберём разрыв в оглавлении-*/
.block-content h1.page-title {
    font-size: 1.7em;
    font-weight: 600;
    color: #355C7D;
}
.node__content h2 {
    font-size: 1.5em;
    font-weight: 600;
    color: #6C5B7B;
    border-bottom: 1px solid;
}
.node__content h3 {
    font-size: 1.3em;
    font-weight: 600;
    color: #C06C84;
}
.node__content h4 {
    font-size: 1.2em;
    font-weight: 600;
    color: #F67280;
}
.kamatoc-wrap br {
    display:none!important;
}

/*-Контент Links-*/
body {
    line-height: 1.7;
}

.node__content a {
    color: #355C7D;
    border-bottom: none;
}

.node__content a:hover {
    color: #F67280;
}

.taxonomy-term a {
    color: #355C7D;
    border-bottom: none;
}

.taxonomy-term a:hover {
    color: #F67280;
}

.breadcrumb a {
    font-size: 90%;
    color: #2D3748;
    border-bottom: none;
}

.breadcrumb a:hover {
    color: #355C7D;
}

/*-Выделенный шрифт через спан-*/
.b {font-weight: 600;}

/*-Выравниваем что можно-*/
.alignright {
    float:right;
    margin: 5px 0 20px 20px;
}
 
.alignnone {
    margin: 5px 20px 20px 0;
}
 
.alignleft {
    float:left;
    margin: 5px 20px 20px 0;
}
 
.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto
}

/*-Для картинок в mm6-*/
.gall img {
    padding: 15px;
    background: #f5f5f5;
    box-shadow: 1px 1px 2px 2px #d2d2d4;
    display: inline;
}

/*-Таблицы в обзорах*/
.obzor_table {
    overflow-x: auto;
}

.obzor {
	width: 100%;
	margin-bottom: 20px;
	border: 1px solid #dddddd;
	border-collapse: collapse; 
}

.obzor th {
	font-weight: bold;
	padding: 5px;
	background: #efefef;
	border: 1px solid #dddddd;
}

.obzor td {
	border: 1px solid #dddddd;
	padding: 5px;
}

.mm6_menu {
    width: 100%;
    overflow-x: auto;
}

.mm6_contents {
    float: left;
    width: 23%;
}
/*-Таблицы для MM6-8-*/
.mm_table {
    overflow-x: auto;
    margin: 20px 0;
}

.mm {
    font-size: 12px;
    line-height: 1.3;
    border-radius: 3px;
    border-collapse: collapse; /* Убираем двойные линии между ячейками */
    border-spacing: 3px;
}

.mm img {
    display: inline-block;
    margin: 5px;
}

.mm thead th {
    background-color: #457992;
    font-size: 14px;
    color: #faf8eb;
}

.mm th[scope=row] {
    text-align: left;
    vertical-align: middle;
    font-size: 12px;
    color: #000000;
    background-color: #dbdbdb;
    padding: 0 0 0 12px;
}

.mm th[scope=col] {
    background-color: #5894b0;
    color: #fff;
}

.mm tr:nth-child(2n+2) th[scope=row] {
    background: #f5f5f5;
}

.mm th {
    font-weight: 300;
    padding: 7px;
}

.mm td {
    padding: 5px;
    text-align: center;
    background: #f5f5f5;
}

.mm .text_left {
 text-align: left;
}

.mm tr:nth-child(2n+2) td {
    background: #fff;
}

.mm tr {
    border-bottom: none;
}

.mm caption {
    font-size: 16px;
    text-align: center;
    padding: 10px 0;
}

.mm_menu {
    float: left;
    width: 100%;
    overflow-x: auto;
}

.mm_menu ul {
    padding: 0 0 0 21px;
}

.mm_contents {
    font-size: 14px;
    float: left;
    width: 23%;
}

.sep {
    clear: left;
}

.big {
  column-count: 4;
}

/*-Линия-*/
hr {
border: 0;
height: 1px;
background: #000;
background-image: -webkit-linear-gradient(left, #fff, #000, #fff);
background-image: -moz-linear-gradient(left, #fff, #000, #fff);
background-image: -ms-linear-gradient(left, #fff, #000, #fff);
background-image: -o-linear-gradient(left, #fff, #000, #fff);
}

/*-Ставки в статьи-*/
.con_note, .con_review, .con_error, .con_success, .con_warning {
    margin: 9px 0;
    padding: 20px 25px 20px 80px;
    border-radius: 0.3em;
}

.con_note {
    background: #e3f3ff url(../images/note-info.svg) no-repeat 20px center;
	color: #255398;
}
.con_success {
    background: #e3f3ff url(../images/note-success.svg) no-repeat 20px center;
    color: #255398;
}

.con_review {
    background: #e9edf5 url(../images/note-review.svg) no-repeat 20px center;
	color: #161a1e;
}

.con_warning {
    background: #fff5c7 url(../images/note-warning.svg) no-repeat 20px center;
	color: #db8b00;
}

.mm_table h2 {
    color: #faf8eb;
}

.mm_table h3 {
    color: #faf8eb;
}

.con_note a {
    color: #F67280;
}

.con_note a:hover {
    text-decoration: underline;
}

.con_note h2, .con_note h3, .con_note h4 {
    color: #faf8eb;
}

.con_response {
    position: relative;
}

/* Код для адаптации видео */
.con_video {
  position: relative;
  padding-bottom: 56.25%; /* задаёт высоту контейнера для 16:9 (если 4:3 — поставьте 75%) */
  padding-top: 30px;
  height: 0;
  overflow: hidden;
}
.con_video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/*-Подвал-*/
.region-footer {
    color:#00769b;
    text-align: center;
    padding-top: 33px;
}

.region-footer .links {
    font-size: 11px;
    padding-top: 5px;
}

.region-footer .links a {
    color:#00769b;
    text-decoration: none;
}

.region-footer .copyrights {
    font-size: 12px;
    padding-top: 10px;
}

.region-footer .counters {
    opacity: 0.5;
    position: relative;
}

/*-Для отмены обтекания-*/
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

/*-Цитаты-*/
blockquote {
    border-left: 6px solid #457992;
    font-size: 16px;
    font-style: italic;
    margin: 16px;
    padding: 16px 24px;
    background: #faf8eb;
    color:#457992;
    position: relative;
}

blockquote:before {
    content: "";
    position: absolute;
    top: 50%;
    left: -6px;
    height: 40px;
    background-color: #fff;
    width: 6px;
    margin-top: -1em;
}

blockquote:after {
    content: "”";
    position: absolute;
    top: 50%;
    left: -20px;
    color: #ff1a20;
    font-size: 50px;
    font-family: Times, sans-serif;
    font-weight: bold;
    line-height: 30px;    
}

blockquote cite {
    color: #ff1a20;
    font-size: 15px;
    padding-top: 10px;
    display: block;
    text-align: right;
}

.isoc{
    text-align: center;
}

/*-Изображения в обзорах (галереи)-*/
.field-name-field-obzor-images .field-item,
.field-name-field-gal .field-item,
.field-name-field-image .field-item {
    display: inline-block;
    margin: 2px 2px 2px 2px;
    box-shadow: 7px 7px 12px #9CA595;
    border-radius: 3px;
    overflow: hidden;
}
.field-name-field-obzor-images .field-item a,
.field-name-field-gal .field-item a,
.field-name-field-image .field-item a {
   display: block;
   line-height: 0;
}

.field-name-field-obzor-images .field-item img,
.field-name-field-gal .field-item img,
.field-name-field-image .field-item img {
    margin: 0;
}

.group-homm3-brifing .fieldset-wrapper .field-items {
    font-style: italic;
    font-size: 14px;
    padding: 0 0 0 10px;
}

.group-homm3-brifing .fieldset-wrapper .field-type-text {
    margin: 0 0 10px 0;
}

/*-Для полей Существа Герои 3-*/
.creature_card .fieldset-wrapper {
    color: #151719;
    font-size: 14px;
    display: flex;
}
.field__item img {
    display: inline-block;
}

.creature_card .field__label {
	clear: both;
}

.field__item {

}

.general_information {
  flex-grow: 1;
  flex-basis: 0;
  margin: 10px;
  padding: 10px;
}

